session_save_path
session_set_save_handler
Session Functions
PHP Manual

# session_set_cookie_params

(PHP 4, PHP 5)

session_set_cookie_params — Set the session cookie parameters

### Description

void session_set_cookie_params ( int `$lifetime` [, string `$path` [, string `$domain` [, bool `$secure` = false [, bool `$httponly` = false ]]]] )

Set cookie parameters defined in the php.ini file. The effect of this function only lasts for the duration of the script. Thus, you need to call session_set_cookie_params() for every request and before session_start() is called.

### Parameters

`lifetime`

  Lifetime of the session cookie, defined in seconds.

`path`

  Path on the domain where the cookie will work. Use a single slash ('/') for all paths on the domain.

`domain`

  Cookie domain, for example 'www.php.net'. To make cookies visible on all subdomains then the domain must be prefixed with a dot like '.php.net'.

`secure`

  If `TRUE` cookie will only be sent over secure connections.

`httponly`

  If set to `TRUE` then PHP will attempt to send the httponly flag when setting the session cookie.

### Return Values

No value is returned.

### Changelog

Version | Description
--- | ---
5.2.0 | The `httponly` parameter was added.
4.0.4 | The `secure` parameter was added.

### See Also

- session.cookie_lifetime
- session.cookie_domain
- session.cookie_secure
- session.cookie_httponly
- session_get_cookie_params() - Get the session cookie parameters

session_save_path
session_set_save_handler
Session Functions
PHP Manual